Skip to content

List

GET
/v2/transfer
curl --request GET \
--url 'https://api-admin.billz.ai/v2/transfer?page=1&limit=10&departure_shops=6f244db4-75d6-4fac-9841-14867d45e36a&arrival_shops=70919136-9481-4c7e-8581-685d750d67a9&status_ids=65af5e85-252c-43be-8364-8c593c87c9e8&start_date=2026-08-01%2000%3A00%3A00&end_date=2026-08-31%2023%3A59%3A59&arrival_date_start=2026-08-01%2000%3A00%3A00&arrival_date_end=2026-08-31%2023%3A59%3A59' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1
Example
1
limit
integer format: int32
default: 10
Example
10
search
string

Search

departure_shops
Array<string>

CSV

Example
[
"6f244db4-75d6-4fac-9841-14867d45e36a"
]
arrival_shops
Array<string>

CSV

Example
[
"70919136-9481-4c7e-8581-685d750d67a9"
]
status_ids
Array<string>

CSV

Example
[
"65af5e85-252c-43be-8364-8c593c87c9e8"
]
start_date
string
Example
2026-08-01 00:00:00

Format YYYY-MM-DD HH:MM:SS, with time; a date without time and RFC 3339 are rejected

end_date
string
Example
2026-08-31 23:59:59

Format YYYY-MM-DD HH:MM:SS, with time; a date without time and RFC 3339 are rejected

arrival_date_start
string
Example
2026-08-01 00:00:00

Format YYYY-MM-DD HH:MM:SS, with time; a date without time and RFC 3339 are rejected

arrival_date_end
string
Example
2026-08-31 23:59:59

Format YYYY-MM-DD HH:MM:SS, with time; a date without time and RFC 3339 are rejected

stocktaking_shop_id
string

Stocktaking shop

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count
integer format: int32
transfer

The array key is transfer (singular)

Array<object>
object
id
string
external_id
integer format: int64
company_id
string
name
string
departure_shop_id
string
departure_shop
object
id
string
name
string
arrival_shop_id
string
arrival_shop
object
id
string
name
string
total_loaded_measurement_value
number format: double
total_arrived_measurement_value
number format: double
total_retail_price
number format: double
total_supply_price
number format: double
status_id
string
created_by
object
id
string
name
string
accepted_by
object
id
string
name
string
created_at
string
accepted_at
string
transfer_items
Array<string>
nullable
differs
string
use_departure_shop_prices
boolean
comment
string
is_last_event
boolean
session_id
string
stocktaking_id
string
Examplegenerated
{
"count": 1,
"transfer": [
{
"id": "example",
"external_id": 1,
"company_id": "example",
"name": "example",
"departure_shop_id": "example",
"departure_shop": {
"id": "example",
"name": "example"
},
"arrival_shop_id": "example",
"arrival_shop": {
"id": "example",
"name": "example"
},
"total_loaded_measurement_value": 1,
"total_arrived_measurement_value": 1,
"total_retail_price": 1,
"total_supply_price": 1,
"status_id": "example",
"created_by": {
"id": "example",
"name": "example"
},
"accepted_by": {
"id": "example",
"name": "example"
},
"created_at": "example",
"accepted_at": "example",
"transfer_items": [
"example"
],
"differs": "example",
"use_departure_shop_prices": true,
"comment": "example",
"is_last_event": true,
"session_id": "example",
"stocktaking_id": "example"
}
]
}